Page MenuHomeFreeBSD

sysutils/rubygem-bosh_cli: Update to 1.3262.26.0 and fix dependency to `progressbar`
ClosedPublic

Authored by dumbbell on Feb 17 2017, 3:33 PM.

Details

Summary

Version 1.3262.26.0 was released two days ago.

More importantly, the progressbar gem available from the Ports tree is 1.8.x which is incompatible with BOSH CLI. Fro instance, running bosh upload release fails with a Ruby exception. Downgrading progressbar to 0.9.x, the version specified in the Gemfile, makes it work again. So I copied devel/rubygem-progressbar to devel/rubygem-progressbar09, adapted it and changed the dependency in sysutils/rubygem-bosh_cli. I'm now able to upload a BOSH release.

Test Plan

Poudriere testport on HEAD/amd64 and 11.0/i386.
Used with production BOSH deployments.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dumbbell updated this revision to Diff 25317.Feb 17 2017, 3:33 PM
dumbbell retitled this revision from to sysutils/rubygem-bosh_cli: Update to 1.3262.26.0 and fix dependency to `progressbar`.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: Ruby, antoine, bapt.

sysutils/rubygem-bosh_cli was already updated to 1.3262.26.0 yesterday, therefore bumping PORTREVISION is required.

Except this, other changes look good to me.

And please do not forget to use 'svn cp' for devel/rubygem-progressbar09.

devel/rubygem-progressbar09/Makefile
4 ↗(On Diff #25317)

Move this to the line after MASTER_SITES to pet portlint.

antoine accepted this revision.Feb 18 2017, 7:40 PM
antoine edited edge metadata.

As already noted by sunpoet@ :

  • The PKGNAMESUFFIX line should be below the MASTER_SITES line (portlint)
  • Make sure to use "svn cp" to add rubygem-progressbar09
This revision is now accepted and ready to land.Feb 18 2017, 7:40 PM
sunpoet accepted this revision.Feb 19 2017, 6:04 AM
sunpoet added a reviewer: sunpoet.
dumbbell updated this revision to Diff 25382.Feb 19 2017, 5:26 PM
dumbbell edited edge metadata.

Use svn cp for rubygem-progressbar09, bump bosh_cli PORTREVISION

... and move PKGNAMESUFFIX after MASTER_SITES in rubygem-progressbar09.

Thus this revision addresses all comments from @sunpoet and @antoine.

This revision now requires review to proceed.Feb 19 2017, 5:26 PM
This revision was automatically updated to reflect the committed changes.